%define module	CDDB
%define name	perl-%{module}
%define version 1.17
%define release	%mkrel 4

Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Summary:	A high-level interface to cddb protocol servers
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CDDB/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
CDDB is a high-level interface to databases based on the Compact Disc
Database protocol.

Starting with version 1.04, CDDB.pm will contact freedb.org servers by
default. cddb.com's developer license is for end-user applications; not
third-party libraries.  This makes CDDB.pm ineligible for access to
cddb.com servers.  This author will not pursue further cddb.com
access. Developers using CDDB.pm may continue to attempt connections to
cddb.com servers, but there are no guarantees.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README HISTORY
%{perl_vendorlib}/CDDB.pm
%{_mandir}/*/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-4mdv2007.0
- Rebuild

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-3mdk
- drop explicit requires, they are optionals

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.17-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdk
- New release 1.17
- drop test patch

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-2mdk
- fixed tests (patch 0) 

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16
- spec cleanup
- make test in %%check

* Thu Oct 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.15-1mdk
- 1.15.
- Trim description. Add test target.

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 1.12-1mdk
- New release 1.12
- repmbuildupdate aware

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.11-1mdk
- 1.11.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.08-7mdk
- Use %%makeinstall_std now that it works on klama

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 1.08-6mdk
- Fix man path
- No rm of buildroot in %%install
- macroification
- Fix unpackaged perllocal.pod

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.08-5mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.08-4mdk
- build release

* Wed Jul 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.08-3mdk
- rebuild for new perl
- big spec clean
- use new macros

* Mon Mar 11 2002 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.08-2mdk
- removed Requires: perl 5.6.1, is enough with perl >= 5.004

* Fri Feb 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.08-1mdk
- 1.08

* Fri Jan 18 2002 Franois Pons <fpons@mandrakesoft.com> 1.07-1mdk
- make a noarch package.
- 1.07.

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.06-1mdk
- initial cooker contrib
- rewrote the spec file
